Bug 1584889 (CVE-2018-3745) - CVE-2018-3745 atob: uninitialized memory allocation in input
Summary: CVE-2018-3745 atob: uninitialized memory allocation in input
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2018-3745
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1584890
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-31 21:15 UTC by Laura Pardo
Modified: 2020-03-10 21:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:27:10 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-05-31 21:15:11 UTC
atob 2.0.3 and earlier allocates uninitialized Buffers when number is passed in input on Node.js 4.x and below.


References:
https://hackerone.com/reports/321686

Comment 1 Laura Pardo 2018-05-31 21:15:31 UTC
Created nodejs-atob tracking bugs for this issue:

Affects: fedora-28 [bug 1584890]

Comment 2 Product Security DevOps Team 2019-06-10 10:27:10 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.

Comment 3 Tomas Hoger 2020-03-10 21:56:26 UTC
The linked hackerone report indicates that the issue was fixed in atob version 2.1.0, without pointing out any specific fix.


Note You need to log in before you can comment on or make changes to this bug.